#ifndef UML_COMPONENT_H
#define UML_COMPONENT_H

#include <umlclassifier.h>

class UMLNode;
class UMLArtifact;

/**
 * UML 1.4 section 2.5.2.12
 *
 * A component repesents a modular, deployable and replaceable
 * part of a system that contains implementations and exposes
 * interfaces.
 */
class UMLComponent : public UMLClassifier
{
public:
  UMLComponent();
  virtual ~UMLComponent();

  utl::unordered_relation<UMLNode *> deploymentLocation;
  utl::unordered_relation<UMLArtifact *> implementation;
  utl::unordered_relation<UMLModelElement *> resident;
};

#endif
