#ifndef UML_DATATYPE_H
#define UML_DATATYPE_H

#include <umlclassifier.h>

/**
 * UML 1.4 section 2.5.2.14
 *
 * A classifier whose values have no identity - i.e. pure value.
 * The standard says, "A DataType is a special classifier in
 * which operations are all pure functions; that is they can
 * return DataValues [instances of DataTypes] but they cannot
 * change DataValues because they have no identity." In short,
 * data types are pure pass-by-value.
 */
class UMLDataType : public UMLClassifier
{
 public:
  UMLDataType();
  virtual ~UMLDataType();
};

#endif
