#ifndef UML_DEPENDENCY_H
#define UML_DEPENDENCY_H

#include <umlrelationship.h>

/**
 * UML 1.4 section 2.5.2.15
 *
 * A supplier requires the presence (in some fashion) of
 * a client. This is primarily a term of convenience for
 * expressing relationships that are not flow, generalization,
 * association or metarelations (instantiaton?).
 */
class UMLDependency : public UMLRelationship
{
 public:
  UMLDependency();
  virtual ~UMLDependency();

  utl::unordered_attribute<UMLModelElement *> client;
  utl::unordered_attribute<UMLModelElement *> supplier;
};

#endif
