#ifndef UML_FEATURE_H
#define UML_FEATURE_H

#include <umlmodelelement.h>

class UMLClassifier;

/**
 * UML 1.4 section 2.5.2.21
 *
 * A feature is some aspect of a classifier. It is
 * either structural or behavioral in manner. Every
 * feature has an owner scope and owner that affects
 * whether the feature applies to an instance or to
 * the class (local vs. static).
 */
class UMLFeature : public UMLModelElement
{
 public:
  UMLFeature();
  virtual ~UMLFeature();

  utl::single_attribute<UMLScopeKind> ownerScope;
  utl::single_relation<UMLClassifier *> owner;
};

#endif
