#ifndef UML_GENERALIZATION_H
#define UML_GENERALIZATION_H

#include <umlrelationship.h>

class UMLGeneralizableElement;
class UMLClassifier;

/**
 * UML 1.4 section 2.5.2.24
 *
 * A generalization relationship object maintains information
 * about the parent and children of a generalization relationship.
 *
 * @todo Explain the purpose of the descriminator.
 *
 * @todo Explain what a powertype is.
 */
class UMLGeneralization : public UMLRelationship
{
 public:
  UMLGeneralization();
  virtual ~UMLGeneralization();

  utl::single_attribute<UMLName> discriminator;

  utl::single_relation<UMLGeneralizableElement *> child;
  utl::single_relation<UMLGeneralizableElement *> parent;
  utl::single_relation<UMLClassifier *> powertype;
};

#endif
