#ifndef UML_METHOD_H
#define UML_METHOD_H

#include <umlbehavioralfeature.h>

/**
 * UML 1.4 section 2.5.2.26
 *
 * A method is an implementation of an operation. Original
 * reading of the diagram is somewhat confusing... Doesn't
 * an operation own 0..1 implementations (0 for virtual)?
 * No. A method implements only one instance of an operation
 * but an operation defined for a base class may be
 * implemented many times over by derived classes.
 */
class UMLMethod : public UMLBehavioralFeature
{
 public:
  UMLMethod();
  virtual ~UMLMethod();

  utl::single_attribute<UMLProcedureExpression> body;
};

#endif
