#ifndef UML_OPERATION_H
#define UML_OPERATION_H

#include <umlbehavioralfeature.h>

/**
 * UML 1.4 section 2.5.2.30
 *
 * An operation is the specification of a behavioral
 * feature i.e. a declaration with no implementation
 * in a class. Note that this class defines the interface
 * for generalizable element. While an operation is not
 * the same as a generalizable element, the features
 * are similar. Consider the case of virtual methods
 * (abstract). Also consider overloaded methods: one
 * must be the root, the most overloaded, the leaf.
 */
class UMLOperation : public UMLBehavioralFeature
{
 public:
  UMLOperation();
  virtual ~UMLOperation();

  utl::single_attribute<UMLCallConcurrencyKind> concurrency;
  utl::single_attribute<UMLBoolean> isRoot;
  utl::single_attribute<UMLBoolean> isLeaf;
  utl::single_attribute<UMLBoolean> isAbstract;
  utl::single_attribute<UMLString> specification;
};

#endif
