#ifndef UML_PARAMETER_H
#define UML_PARAMETER_H

#include <umlmodelelement.h>

class UMLClassifier;
class UMLBehavioralFeature;

/**
 * UML 1.4 section 2.5.2.31
 *
 * A parameter is a model element that a) has type
 * and b) is part of a behavioral feature. It can
 * also have a default value.
 *
 * Note that parameters are \e not template parameters.
 */
class UMLParameter : public UMLModelElement
{
 public:
  UMLParameter();
  virtual ~UMLParameter();

  utl::single_attribute<UMLExpression> defaultValue;
  utl::single_attribute<UMLParameterDirectionKind> kind;

  utl::single_relation<UMLClassifier *> type;
  utl::single_relation<UMLBehavioralFeature *> behavioralFeature;
};

#endif
