#ifndef UML_STRUCTURALFEATURE_H
#define UML_STRUCTURALFEATURE_H

#include <umlfeature.h>

/**
 * UML 1.4 section 2.5.2.37
 *
 * A structural feature is something that affects the structure
 * of a model element (classifier). That is, its basically an
 * attribute.
 */
class UMLStructuralFeature : public UMLFeature
{
 public:
  UMLStructuralFeature();
  virtual ~UMLStructuralFeature();

  utl::single_attribute<UMLMultiplicity> multiplicity;
  utl::single_attribute<UMLChangeabilityKind> changeability;
  utl::single_attribute<UMLScopeKind> targetScope;
  utl::single_attribute<UMLOrderingKind> orderingKind;

  utl::single_relation<UMLClassifier *> type;
};

#endif
