#ifndef UML_TEMPLATEPARAMETER_H
#define UML_TEMPLATEPARAMETER_H

#include <utl.h>

class UMLModelElement;

/**
 * UML 1.4 section 2.5.2.39
 *
 * A template parameter defines a relationship between a template
 * and its parameter. A model element with at least one template
 * parameter is a template.
 *
 * Renamed relationship template to templt because of
 * keyword collision.
 *
 * Renamed relationship default to dflt because of
 * keyword collision.
 */
class UMLTemplateParameter
{
 public:
  UMLTemplateParameter();
  virtual ~UMLTemplateParameter();

  utl::single_relation<UMLModelElement *> templt;
  utl::single_relation<UMLModelElement *> parameter;
  utl::single_relation<UMLModelElement *> dflt;
};

#endif
